contentType:取消发布
本文内容
命名空间:microsoft.graph
重要
Microsoft Graph版本下的 /beta API 可能会发生更改。 不支持在生产应用程序中使用这些 API。 若要确定 API 是否在 v1.0 中可用,请使用 版本 选择器。
从内容类型 [中心网站取消发布 contentType][] 。
权限
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限 。
权限类型
权限(从最低特权到最高特权)
委派(工作或学校帐户)
Sites.FullControl.All
委派(个人 Microsoft 帐户)
Sites.FullControl.All
应用程序
Sites.FullControl.All
HTTP 请求
POST /sites/{siteId}/contentTypes/{contentTypeId}/unpublish
注意: siteId 表示内容类型中心网站。
名称
说明
Authorization
Bearer {token}。必需。
请求正文
请勿提供此方法的请求正文。
响应
如果成功,此方法将返回 响应 204 No Content 。
示例
请求
POST https://graph.microsoft.com/beta/sites/{siteId}/contentTypes/{contentTypeId}/unpublish
GraphServiceClient graphClient = new GraphServiceClient( authProvider );
await graphClient.Sites["{site-id}"].ContentTypes["{contentType-id}"]
.Unpublish()
.Request()
.PostAsync();
const options = {
authProvider,
};
const client = Client.init(options);
await client.api('/sites/{siteId}/contentTypes/{contentTypeId}/unpublish')
.version('beta')
.post();
MSHTTPClient *httpClient = [MSClientFactory createHTTPClientWithAuthenticationProvider:authenticationProvider];
NSString *MSGraphBaseURL = @"https://graph.microsoft.com/beta/";
NSMutableURLRequest *urlRequest = [NSMutableURLRequest requestWithURL:[NSURL URLWithString:[MSGraphBaseURL stringByAppendingString:@"/sites/{siteId}/contentTypes/{contentTypeId}/unpublish"]]];
[urlRequest setHTTPMethod:@"POST"];
MSURLSessionDataTask *meDataTask = [httpClient dataTaskWithRequest:urlRequest
completionHandler: ^(NSData *data, NSURLResponse *response, NSError *nserror) {
//Request Completed
}];
[meDataTask execute];
GraphServiceClient graphClient = GraphServiceClient.builder().authenticationProvider( authProvider ).buildClient();
graphClient.sites("{siteId}").contentTypes("{contentTypeId}")
.unpublish()
.buildRequest()
.post();
//THE GO SDK IS IN PREVIEW. NON-PRODUCTION USE ONLY
graphClient := msgraphsdk.NewGraphServiceClient(requestAdapter)
siteId := "site-id"
contentTypeId := "contentType-id"
graphClient.SitesById(&siteId).ContentTypesById(&contentTypeId).Unpublish(site-id, contentType-id).Post()
Import-Module Microsoft.Graph.Sites
Unpublish-MgSiteContentType -SiteId $siteId -ContentTypeId $contentTypeId
响应
HTTP/1.1 204 No Content